> For the complete documentation index, see [llms.txt](https://docs.ionos.com/terraform-provider/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/terraform-provider/data-sources/dbaas_inmemorydb_snapshot.md).

# ionoscloud\_inmemorydb\_snapshot

The `ionoscloud_inmemorydb_snapshot` data source can be used to retrieve information about an existing InMemoryDB Snapshot.

## Example Usage

```hcl
data "ionoscloud_inmemorydb_snapshot" "example" {
  id = "snapshot-id"
  location = "de/txl"
}
```

## Argument Reference

* `id` - (Required) The ID of the InMemoryDB Snapshot.
* `location` - (Optional) The location of the InMemoryDB Snapshot.

## Attributes Reference

* `metadata` - Metadata of the snapshot.
  * `created_date` - The ISO 8601 creation timestamp.
  * `datacenter_id` - The ID of the datacenter in which the snapshot is located.
  * `last_modified_date` - The ISO 8601 modified timestamp.
  * `replica_set_id` - The ID of the replica set from which the snapshot was created.
  * `snapshot_time` - The time at which the snapshot was taken.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/dbaas_inmemorydb_snapshot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
